import 'package:dibbs_cli_example/src/core/data/data_sources/my_repo/remote/my_repo_remote_data_source.dart';
import 'package:graphql/client.dart';
import 'package:mocktail/mocktail.dart';
import 'package:test/test.dart';

import '../../../../mocks/index.dart';

class GraphQLClientMock extends Mock implements GraphQLClient {}

class QueryOptionsMock extends Fake implements QueryOptions {}

class MutationOptionsMock extends Fake implements MutationOptions {}

void main() {
  late MyRepoRemoteDataSourceImplementation remoteDataSource;
  final graphQlClient = GraphQLClientMock();

  setUp(() {
    remoteDataSource = MyRepoRemoteDataSourceImplementation(graphQlClient);
    registerFallbackValue(QueryOptionsMock());
    registerFallbackValue(MutationOptionsMock());
  });

  final successfulResult = QueryResult(
    data: {'test': 'test'},
    source: QueryResultSource.network,
  );

  final failedResult = QueryResult(
    source: QueryResultSource.network,
    exception: OperationException(),
  );

  test('MyRepo remote_data_source test', () async {});
}
